Package com.smartgwt.client.ai

# Class DataQuestionSettings

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.ai.DataQuestionSettings

All Implemented Interfaces:
  `HasHandlers`

public class DataQuestionSettings extends DataClass
Settings for a data question.

See Also:
  - `Answer Engine`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataQuestionSettings()`
  `DataQuestionSettings(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getApplicationPurpose()`
  A human-readable (and thus AI-readable) description of the purpose of the application.
  `String[]`
  `getDataSourceNames()`
  The IDs of available data sources.
  `Integer`
  `getMaxFixAttempts()`
  The maximum number of attempts to have AI generate valid code and/or data.
  `static DataQuestionSettings`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `Date`
  `getReferenceTime()`
  The reference date & time considered to be the present.
  `DataQuestionSettings`
  `setApplicationPurpose(String applicationPurpose)`
  A human-readable (and thus AI-readable) description of the purpose of the application.
  `DataQuestionSettings`
  `setDataSourceNames(String... dataSourceNames)`
  The IDs of available data sources.
  `DataQuestionSettings`
  `setMaxFixAttempts(Integer maxFixAttempts)`
  The maximum number of attempts to have AI generate valid code and/or data.
  `DataQuestionSettings`
  `setReferenceTime(Date referenceTime)`
  The reference date & time considered to be the present.

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DataQuestionSettings

    public DataQuestionSettings()

  - ### DataQuestionSettings

    public DataQuestionSettings(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static DataQuestionSettings getOrCreateRef(JavaScriptObject jsObj)

  - ### setApplicationPurpose

    public DataQuestionSettings setApplicationPurpose(String applicationPurpose)
    A human-readable (and thus AI-readable) description of the purpose of the application.
    Parameters:
      `applicationPurpose` - New applicationPurpose value. Default value is null
    Returns:
      `DataQuestionSettings` instance, for chaining setter calls

  - ### getApplicationPurpose

    public String getApplicationPurpose()
    A human-readable (and thus AI-readable) description of the purpose of the application.
    Returns:
      Current applicationPurpose value. Default value is null

  - ### setDataSourceNames

    public DataQuestionSettings setDataSourceNames(String... dataSourceNames)
    The IDs of available data sources.
    Parameters:
      `dataSourceNames` - New dataSourceNames value. Default value is null
    Returns:
      `DataQuestionSettings` instance, for chaining setter calls
    See Also:
      - `GlobalId`

  - ### getDataSourceNames

    public String[] getDataSourceNames()
    The IDs of available data sources.
    Returns:
      Current dataSourceNames value. Default value is null
    See Also:
      - `GlobalId`

  - ### setMaxFixAttempts

    public DataQuestionSettings setMaxFixAttempts(Integer maxFixAttempts)
    The maximum number of attempts to have AI generate valid code and/or data.
    Parameters:
      `maxFixAttempts` - New maxFixAttempts value. Default value is null
    Returns:
      `DataQuestionSettings` instance, for chaining setter calls

  - ### getMaxFixAttempts

    public Integer getMaxFixAttempts()
    The maximum number of attempts to have AI generate valid code and/or data.
    Returns:
      Current maxFixAttempts value. Default value is null

  - ### setReferenceTime

    public DataQuestionSettings setReferenceTime(Date referenceTime)
    The reference date & time considered to be the present.

    If not provided, then the current date & time is used.

    Parameters:
      `referenceTime` - New referenceTime value. Default value is null
    Returns:
      `DataQuestionSettings` instance, for chaining setter calls

  - ### getReferenceTime

    public Date getReferenceTime()
    The reference date & time considered to be the present.

    If not provided, then the current date & time is used.

    Returns:
      Current referenceTime value. Default value is null